Bug 994144 - rich rules are ignored on trusted zone [NEEDINFO]
rich rules are ignored on trusted zone
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firewalld (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Thomas Woerner
Tomas Dolezal
:
Depends On: 994146
Blocks: 980210
  Show dependency treegraph
 
Reported: 2013-08-06 10:59 EDT by Tomas Dolezal
Modified: 2014-06-17 23:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 994146 (view as bug list)
Environment:
Last Closed: 2014-06-13 07:41:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jscotka: needinfo? (twoerner)


Attachments (Terms of Use)

  None (edit)
Description Tomas Dolezal 2013-08-06 10:59:04 EDT
Description of problem:
rich rules are ignored on trusted and other former immutable zones

Version-Release number of selected component (if applicable):
firewalld-0.3.4-1

How reproducible:
always

Steps to Reproduce:
1. firewall-cmd --list-all

Actual results #1:
trusted (default, active)
  interfaces: eth0
...
  rich rules: 
	rule service name="http" log level="info"

Actual results #2:
block (default, active)
  interfaces: eth0
  services: http bacula-client bacula
...
  rich rules: 
	rule service name="http" log level="info"

Expected results:
rich rules are working
or "add" command does not print "success" on its exit

Additional info:
Comment 5 Tomas Dolezal 2014-01-28 10:22:42 EST
VERIFIED firewalld-0.3.9-3.el7.noarch

external requests are now processed by rich rule
>rule service name="http" log level="info"
Comment 7 Ludek Smid 2014-06-13 07:41:02 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.